;;; Local configuration file

;; LISP pathes (order in lists is important!)
(setq load-path
      (append load-path
	      '("/packages/share/site-lisp"
		"/packages/share/site-lisp/auctex-9.8i/lisp"
		"/packages/share/site-lisp/bbdb/lisp"
		"/packages/share/site-lisp/calc/lisp"
		"/packages/share/site-lisp/html-helper-mode"
		"/packages/share/site-lisp/mailcrypt/lisp"
		"/packages/share/site-lisp/psgml/lisp"
		"/packages/share/site-lisp/tiny-tools"
		"/packages/share/site-lisp/semi/lisp"
		"/packages/share/site-lisp/w3/lisp"
		"/packages/share/site-lisp/misc")))

;; Info pathes (use append, not cons)
(setq Info-default-directory-list
      (append '("/packages/share/emacs-20.2" ; dir file
		"/packages/share/info")
	      (append Info-default-directory-list
		      '("/packages/share/site-lisp/auctex-9.8i/info"
			"/packages/share/site-lisp/bbdb/info"
			"/packages/share/site-lisp/calc/info"
			"/packages/share/site-lisp/elisp-manual"
			"/packages/share/site-lisp/mailcrypt/info"
			"/packages/share/site-lisp/psgml/info"
			"/packages/share/site-lisp/semi/doc"
			"/packages/share/site-lisp/w3/info"))))

;; Binary pathes
(setenv "PATH" (concat (getenv "PATH") 
		       ":/packages/run/emacs-packages/tm"
		       ":/packages/run/emacs-packages/auctex"))

;; Set correct ispell
(setq ispell-complete-word-dict "/packages/share/ispell-4.0/dict/ispell.words")

;; Set organization, geographical coordinates, time zone, and calendar style
(setq gnus-local-organization "Masaryk University, Brno, Czech Republic")
(setq calendar-latitude 49.2)
(setq calendar-longitude 16.6)
(setq calendar-location-name "Brno, CZ")
(setq calendar-time-zone 60)
(setq calendar-standard-time-zone-name "CET")
(setq european-calendar-style t)
(setq calendar-week-start-day 1)

;; Set default news server
(setq gnus-default-nntp-server "news")

;; SGML & HTML modes settings
(setq sgml-validate-command "nsgmls -e -g -s -u")
;(make-variable-buffer-local 'sgml-validate-command)
;(add-hook 'html-mode-hook
;	  '(lambda () (setq sgml-validate-command "html-check")))

;; AUCTeX initialization
(setq TeX-auto-global "/packages/share/site-lisp/auctex-9.8i/auto/")
